package shanghaismm

import "time"

type SmmData struct {
	Highs           float64 `json:"highs"`
	Low             float64 `json:"low"`
	Average         float64 `json:"average"`
	VchangeRate     float64 `json:"vchange_rate"`
	LowShow         string  `json:"low_show"`
	HighShow        string  `json:"high_show"`
	AverageShow     string  `json:"average_show"`
	ProductId       string  `json:"product_id"`
	Vchange         float64 `json:"vchange"`
	RenewDate       string  `json:"renew_date"`
	ChangeValueShow string  `json:"change_value_show"`
	ChangeRateShow  string  `json:"change_rate_show"`
}

type EdbInfoData struct {
	ClassifyName string
	IndexName    string
	IndexCode    string
	Frequency    string
	Unit         string
	Value        string
	LastDate     time.Time
	OldDate      time.Time
	Data         map[string]float64
	SmmData
}
